On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteThe unique identifier code of the feature. This is the code that was specified when the feature was created.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api-m.sandbox.paypal.com/v1/commerce/billing/features/string" \ -H "Content-Type: application/json" \ -d '{ "name": "User Seats", "description": "Maximum number of users allowed in the account", "privileges": [ { "code": "max", "name": "Maximum seats", "value_type": "INTEGER" }, { "code": "max_admins", "name": "Maximum admin users", "value_type": "INTEGER" }, { "code": "root", "name": "Allow root user", "value_type": "BOOLEAN" }, { "code": "guest_access", "name": "Allow guest access", "value_type": "BOOLEAN" } ] }'{
"code": "seats",
"name": "User Seats",
"description": "Maximum number of users allowed in the account",
"privileges": [
{
"code": "max",
"name": "Maximum seats",
"value_type": "INTEGER"
},
{
"code": "max_admins",
"name": "Maximum admin users",
"value_type": "INTEGER"
},
{
"code": "root",
"name": "Allow root user",
"value_type": "BOOLEAN"
},
{
"code": "guest_access",
"name": "Allow guest access",
"value_type": "BOOLEAN"
}
],
"created_at": "2025-01-28T10:00:00Z"
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "dc99e3955cdd8",
"details": [
{
"field": "/email",
"value": "abc",
"location": "body",
"issue": "INVALID_PARAMETER_VALUE",
"description": "The value of a field does not conform to the expected format."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"debug_id": "90957fca61718",
"details": [
{
"field": "/email",
"value": "sdfwdj@sdfs.com",
"location": "body",
"issue": "UNSUPPORTED_EMAIL",
"description": "The email provided is not supported."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}Name of the feature
length <= 255Description of the feature
length <= 600Updated list of privileges for the feature. This replaces the entire privileges array - to add or remove individual privileges, include the complete desired list.